cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tyler Hobbs (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-10278) CQLSH version is not supported by Remote in CASSANDRA 2.1.9
Date Tue, 08 Sep 2015 16:59:46 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-10278?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14735154#comment-14735154
] 

Tyler Hobbs commented on CASSANDRA-10278:
-----------------------------------------

3.3.0 is only used by Cassandra 2.2.  Are you sure you're not trying to connect to a 2.2 node
with 2.1 cqlsh?

> CQLSH version is not supported by Remote in CASSANDRA 2.1.9
> -----------------------------------------------------------
>
>                 Key: CASSANDRA-10278
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-10278
>             Project: Cassandra
>          Issue Type: Bug
>          Components: Core
>            Reporter: Puneet Pant
>            Priority: Critical
>             Fix For: 2.1.x
>
>
> Although the CASSANDRA 2.1.9 sever runs successfully as:
> INFO  14:27:31 Starting listening for CQL clients on localhost/127.0.0.1:9046...
> INFO  14:27:31 Binding thrift service to localhost/127.0.0.1:9160
> INFO  14:27:31 Listening for thrift clients...
> But CQLSH can not connect to it. This is because  the shipped version of CQLSH with cassandra
is 3.2.0 whereas the supported by remote is 3.3.0 so the default shipped version of CQL need
to be upgraded in cassandra or it should provide backward compatibility.
> Here is the CQLSH error:
> Connection error: ('Unable to connect to any servers', {'127.0.0.1': ProtocolError("cql_version
'3.2.0' is not supported by remote (w/ native protocol). Supported versions: [u'3.3.0']",)})
> Note:9046 is just changed to fix conflicts.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message